Provide more choice in the length and area measurement units
Category: Vectors

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10497

Description

The area calculation displays as the result of identify is always in km2 units. The area unit should set with respect to the map units defined

in options/project options/general/map units. At this point I can chose between meters, feet and decimal degrees. When I chose meters

the identify tool calculates km2. As the result the area of small vector polygons p.e. cadastre objects are calculated to 0.000km2.

The identify unit should depend on my general choice.

History

#1 - 2006-12-10 11:44 PM - Gavin Macaulay -

Qgis will report areas in m^2 if the area is less than 1000m^2, otherwise it uses km^2. Basing the units solely on the map units is not ideal either (imagine a

large polygon in m^2, or f^2, or the somewhat meaningless degrees^2).

An enhancement would be to let the user set the units for measurement lengths and areas, and to also optionally let qgis use multiples of those units to give

a reasonable number (e.g., mm^2, m^2, km^2, and in^2, ft^2, mile^2, hectare, acre, etc).

For the moment I have changed the threshold to 10,000 m^2 (above 10,000 m^2, qgis will us km^2, available in commit:0920216f (SVN r6240)), and set

this ticket to an enhancement to be done before version 0.9.

#2 - 2007-01-27 12:07 PM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

This should be implemented in trunk now, with km2, ha and m2 for area units. commit:51087d3a (SVN r6447) / commit:b6b92c9b (SVN r6451)

#3 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
